## crystal-facet-uml 1.32.1

=== CMakeLists.txt ===
PROJECT(crystal-facet-uml LANGUAGES C)
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

#helper to find include directories and libraries:
FIND_PACKAGE(PkgConfig REQUIRED)

# ==== ==== ==== ==== ==== ==== ==== ==== Build Environment Settings ==== ==== ==== ==== ==== ==== ==== ====

SET(COMPILE_IN_INCLUDE_DIR "" CACHE FILEPATH "Path to additional include directory")
SET(COMPILE_IN_SOURCE_FILE "" CACHE FILEPATH "Path to additional source file, e.g. sqlite3.c")
INCLUDE_DIRECTORIES(${COMPILE_IN_INCLUDE_DIR})

# crystal-facet-uml

INCLUDE_DIRECTORIES(gui/include)
INCLUDE_DIRECTORIES(main/include)
INCLUDE_DIRECTORIES(tslog/include)
INCLUDE_DIRECTORIES(trace/include)
INCLUDE_DIRECTORIES(ctrl/include)
INCLUDE_DIRECTORIES(data/include)
INCLUDE_DIRECTORIES(utf8stringbuf/include)
INCLUDE_DIRECTORIES(pencil/include)
INCLUDE_DIRECTORIES(io/include)
INCLUDE_DIRECTORIES(universal/include)

#sqlite3 dependencies

PKG_SEARCH_MODULE(SQLITE3 REQUIRED sqlite3)
INCLUDE_DIRECTORIES(${SQLITE3_INCLUDE_DIRS})
#MESSAGE("SQLITE3: ${SQLITE3_INCLUDE_DIRS}")

#gtk3 dependencies

PKG_SEARCH_MODULE(GLIB2 REQUIRED glib-2.0)
INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
#MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")

PKG_SEARCH_MODULE(GTK3 REQUIRED gtk+-3.0)
INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
#MESSAGE("GTK3:    ${GTK3_INCLUDE_DIRS}")
#MESSAGE("GTK3:    ${GTK3_FOUND}")
#MESSAGE("GTK3:    ${GTK3_LIBRARIES}")
#MESSAGE("GTK3:    ${GTK3_LIBRARY_DIRS}")
#MESSAGE("GTK3:    ${GTK3_LDFLAGS}")
#MESSAGE("GTK3:    ${GTK3_LDFLAGS_OTHER}")
#MESSAGE("GTK3:    ${GTK3_CFLAGS}")
#MESSAGE("GTK3:    ${GTK3_CFLAGS_OTHER}")

PKG_SEARCH_MODULE(PANGOCAIRO REQUIRED pangocairo)
INCLUDE_DIRECTORIES(${PANGOCAIRO_INCLUDE_DIRS})
#MESSAGE("PANGOCAIRO: ${PANGOCAIRO_INCLUDE_DIRS}")

FILE(GLOB commonSource gui/source/*.c
                       gui/source/sketch_area/*.c
                       trace/source/*.c
                       ctrl/source/*.c
                       data/source/*.c
                       data/source/storage/*.c
                       data/source/set/*.c
                       utf8stringbuf/source/util/string/*.c
                       universal/source/stream/*.c
                       pencil/source/*.c
                       pencil/source/util/geometry/*.c
                       pencil/source/draw/*.c
                       io/source/*.c
                       io/source/image/*.c
                       io/source/json/*.c
                       io/source/xml/*.c
                       io/source/txt/*.c
                       io/source/xmi/*.c
                       io/source/md/*.c)
FILE(GLOB appSource    main/source/*.c)
FILE(GLOB utestSource  main/test/*.c
                       data/test/unit/*.c
                       ctrl/test/unit/*.c
                       gui/test/unit/*.c
                       io/test/unit/*.c
                       io/test/integration/*.c
                       pencil/test/unit/*.c
                       pencil/test/integration/*.c
                       universal/test/unit/*.c
                       utf8stringbuf/test/unit/*.c)

# ==== ==== ==== ==== ==== ==== ==== ==== Check if CMAKE_BUILD_TYPE is set ==== ==== ==== ==== ==== ==== ==== ====

IF(NOT CMAKE_BUILD_TYPE)
  MESSAGE( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
  SET(CMAKE_BUILD_TYPE "Release")
ENDIF(NOT CMAKE_BUILD_TYPE)
MESSAGE( "Note:                                          CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )

# ==== ==== ==== ==== ==== ==== ==== ==== Common Settings ==== ==== ==== ==== ==== ==== ==== ====

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.

# ==== ==== ==== ==== ==== ==== ==== ==== EXE Target Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(crystal-facet-uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)

# ==== ==== ==== ==== ==== ==== ==== ==== test Target Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(test_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC test_fw/include)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC data/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ctrl/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC gui/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC io/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC pencil/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC universal/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC utf8stringbuf/test)
TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)

# ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====

INSTALL(TARGETS crystal-facet-uml DESTINATION "/usr/bin/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/crystal-facet-uml.desktop" DESTINATION "/usr/share/applications/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/crystal-facet-uml.metainfo.xml" DESTINATION "/usr/share/metainfo/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/gui/source/resources/crystal_facet_uml_80x80.png" DESTINATION "/usr/share/pixmaps/" RENAME "crystal-facet-uml.png")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/user_doc/crystal-facet-uml.1.gz" DESTINATION "/usr/share/man/man1/")

# ==== ==== ==== ==== ==== ==== ==== ==== gcov Target Settings ==== ==== ==== ==== ==== ==== ==== ====

if(CFU_ADD_GCOV_TARGET)
    if(CMAKE_COMPILER_IS_GNUCC)
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage" )
        SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs" )
        ADD_EXECUTABLE(gcov_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC test_fw/include)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC data/test)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC ctrl/test)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC gui/test)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC io/test)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC pencil/test)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC universal/test)
        TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC utf8stringbuf/test)
        TARGET_LINK_LIBRARIES(gcov_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
        SET_TARGET_PROPERTIES(gcov_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
        SET_TARGET_PROPERTIES(gcov_crystal-facet-uml PROPERTIES EXCLUDE_FROM_ALL TRUE)
    endif(CMAKE_COMPILER_IS_GNUCC)
endif(CFU_ADD_GCOV_TARGET)

=== build/win/CMakeLists.txt ===
PROJECT(crystal-facet-uml LANGUAGES C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
SET(CMAKE_VERBOSE_MAKEFILE TRUE)

# ==== ==== ==== ==== ==== ==== ==== ==== Build Environment Settings ==== ==== ==== ==== ==== ==== ==== ====

INCLUDE_DIRECTORIES(../../gui/include)
INCLUDE_DIRECTORIES(../../main/include)
INCLUDE_DIRECTORIES(../../tslog/include)
INCLUDE_DIRECTORIES(../../trace/include)
INCLUDE_DIRECTORIES(../../ctrl/include)
INCLUDE_DIRECTORIES(../../data/include)
INCLUDE_DIRECTORIES(../../utf8stringbuf/include)
INCLUDE_DIRECTORIES(../../pencil/include)
INCLUDE_DIRECTORIES(../../io/include)
INCLUDE_DIRECTORIES(../../universal/include)

SET(THIRD_PARTY_BASE "${CMAKE_BINARY_DIR}")
SET(SQLITE_BASE "${CMAKE_BINARY_DIR}/sqlite-amalgamation-3360000/sqlite-amalgamation-3360000")
SET(GTK_BUNDLE_BASE "${CMAKE_BINARY_DIR}/crystal-facet-uml")
MESSAGE("SQLITE_BASE:      ${SQLITE_BASE}")
MESSAGE("GTK_BUNDLE_BASE:  ${GTK_BUNDLE_BASE}")

INCLUDE_DIRECTORIES("${SQLITE_BASE}")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/lib/libffi-3.0.12/include")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/lib/glib-2.0/include")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/libpng15")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/libxml2")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/gail-3.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/cairo")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/gio-win32-2.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/pango-1.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/libcroco-0.6")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/jasper")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/glib-2.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/lzma")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/gdk-pixbuf-2.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/atk-1.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/fontconfig")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/gtk-3.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/librsvg-2.0")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/pixman-1")
INCLUDE_DIRECTORIES("${GTK_BUNDLE_BASE}/include/freetype2")

FILE(GLOB commonSource ../../gui/source/*.c
                       ../../gui/source/sketch_area/*.c
                       ../../trace/source/*.c
                       ../../ctrl/source/*.c
                       ../../data/source/*.c
                       ../../data/source/storage/*.c
                       ../../data/source/set/*.c
                       ../../utf8stringbuf/source/util/string/*.c
                       ../../universal/source/stream/*.c
                       ../../pencil/source/*.c
                       ../../pencil/source/util/geometry/*.c
                       ../../pencil/source/draw/*.c
                       ../../io/source/*.c
                       ../../io/source/image/*.c
                       ../../io/source/json/*.c
                       ../../io/source/xml/*.c
                       ../../io/source/txt/*.c
                       ../../io/source/xmi/*.c
                       ../../io/source/md/*.c
                       ${SQLITE_BASE}/sqlite3.c)
FILE(GLOB appSource    ../../main/source/*.c)
FILE(GLOB utestSource  ../../main/test/*.c
                       ../../data/test/unit/*.c
                       ../../ctrl/test/unit/*.c
                       ../../gui/test/unit/*.c
                       ../../io/test/unit/*.c
                       ../../io/test/integration/*.c
                       ../../pencil/test/unit/*.c
                       ../../pencil/test/integration/*.c
                       ../../universal/test/unit/*.c
                       ../../utf8stringbuf/test/unit/*.c)

FIND_LIBRARY( ATK_LIB atk-1.0 "${GTK_BUNDLE_BASE}/lib/")
FIND_LIBRARY( CAIRO_LIB cairo "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( FONTCNF_LIB fontconfig "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GAIL_LIB gailutil "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GDKPIX_LIB gdk_pixbuf-2.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GDKWIN_LIB gdk-win32-3.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GIO_LIB gio-2.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GLIB_LIB glib-2.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GMOD_LIB gmodule-2.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GOBJ_LIB gobject-2.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GTHREAD_LIB gthread-2.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( GTK_LIB gtk-win32-3.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( PANGO_LIB pango-1.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( PANGOCAIRO_LIB pangocairo-1.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( PANGOFT_LIB pangoft2-1.0 "${GTK_BUNDLE_BASE}/lib/" )
FIND_LIBRARY( PANGOWIN_LIB pangowin32-1.0 "${GTK_BUNDLE_BASE}/lib/" )
MESSAGE("gtk found at ${GTK_LIB}")

# ==== ==== ==== ==== ==== ==== ==== ==== Check if CMAKE_BUILD_TYPE is set ==== ==== ==== ==== ==== ==== ==== ====

IF(NOT CMAKE_BUILD_TYPE)
  MESSAGE( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
  SET(CMAKE_BUILD_TYPE "Release")
ENDIF(NOT CMAKE_BUILD_TYPE)
MESSAGE( "Note:                                          CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
MESSAGE( "Note:                                          CMAKE_CURRENT_SOURCE_DIR = ${CMAKE_CURRENT_SOURCE_DIR}" )
MESSAGE( "Note:                                          CMAKE_BUILD_DIR = ${CMAKE_BUILD_DIR}" )
MESSAGE( "Note:                                          THIRD_PARTY_BASE = ${THIRD_PARTY_BASE}" )
MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )

# ==== ==== ==== ==== ==== ==== ==== ==== Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.

# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal-facet-uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(crystal-facet-uml ${commonSource} ${appSource})
TARGET_LINK_LIBRARIES(crystal-facet-uml ${ATK_LIB} ${CAIRO_LIB} ${FONTCNF_LIB} ${GAIL_LIB} ${GDKPIX_LIB} ${GDKWIN_LIB} ${GIO_LIB} ${GLIB_LIB} ${GMOD_LIB} ${GOBJ_LIB} ${GTHREAD_LIB} ${GTK_LIB} ${PANGO_LIB} ${PANGOCAIRO_LIB} ${PANGOFT_LIB} ${PANGOWIN_LIB} )
SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)

# ==== ==== ==== ==== ==== ==== ==== ==== test Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(test_crystal-facet-uml ${commonSource} ${utestSource})
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../test_fw/include)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../data/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../ctrl/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../gui/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../io/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../pencil/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../universal/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../utf8stringbuf/test)
TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${ATK_LIB} ${CAIRO_LIB} ${FONTCNF_LIB} ${GAIL_LIB} ${GDKPIX_LIB} ${GDKWIN_LIB} ${GIO_LIB} ${GLIB_LIB} ${GMOD_LIB} ${GOBJ_LIB} ${GTHREAD_LIB} ${GTK_LIB} ${PANGO_LIB} ${PANGOCAIRO_LIB} ${PANGOFT_LIB} ${PANGOWIN_LIB} )
SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)

=== debian/changelog ===
crystal-facet-uml (1.32.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * Upstream url changed: minus instead of underscore

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Sep 2021 21:55:42 +0200

crystal-facet-uml (1.27.3-2) unstable; urgency=medium

  [ Andreas Warnke ]
  * debian/watch:
    + Adapt source download url to new location at github.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:06:57 +0200

=== debian/control ===
Source: crystal-facet-uml
Section: devel
Priority: optional
Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
Uploaders:
 Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgtk-3-dev,
 libsqlite3-dev,
Standards-Version: 4.5.1
Homepage: https://andreaswarnke.de/crystal-facet-uml/html/index.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml/

Package: crystal-facet-uml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Diagram documentation tool for system and software architecture:
 crystal-facet-uml creates sysml/uml diagrams to document system and
 software architecture.
 .
 As software architect, you create a set of diagrams describing
 use-cases, requirements, structural views, behavioral and deployment
 views. crystal-facet-uml keeps element names and element hierarchies
 consistent. It exports diagrams in svg, pdf, ps and png formats to be
 used in text processing systems like DocBook, html, LaTeX.
 crystal-facet-uml exports the model to xmi format.
 This tool runs on your local PC and is based on
 glib, gdk, gtk, cairo, pango, sqlite.

## crystal-facet-uml 1.34.0

=== debian/changelog ===
crystal-facet-uml (1.34.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/source/lintian-overrides:
    + Override 'inconsistent-appstream-metadata-license'.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

  [ Andreas Warnke ]
  * Upstream url changed: minus instead of underscore

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Dec 2021 16:23:24 +0100

## crystal-facet-uml 1.34.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,7 @@
                        data/source/storage/*.c
                        data/source/set/*.c
                        utf8stringbuf/source/util/string/*.c
+                       universal/source/*.c
                        universal/source/stream/*.c
                        pencil/source/*.c
                        pencil/source/util/geometry/*.c
@@ -67,12 +68,15 @@
                        io/source/json/*.c
                        io/source/xml/*.c
                        io/source/txt/*.c
+                       io/source/xhtml/*.c
                        io/source/xmi/*.c
                        io/source/md/*.c)
 FILE(GLOB appSource    main/source/*.c)
 FILE(GLOB utestSource  main/test/*.c
                        data/test/unit/*.c
+                       data/test/integration/*.c
                        ctrl/test/unit/*.c
+                       ctrl/test/integration/*.c
                        gui/test/unit/*.c
                        io/test/unit/*.c
                        io/test/integration/*.c

=== build/user_doc/Makefile ===
.PHONY: all
all: crystal-facet-uml_documentation.pdf html crystal-facet-uml.1.gz info

SOURCE="../../user_doc"

crystal-facet-uml_documentation.pdf: ../../user_doc/doc/*.xml ../../user_doc/doc/2_feature_gallery_export/*.pdf ../../user_doc/doc/*.pdf ../../user_doc/doc/*.png
	dblatex --type=pdf ${SOURCE}/doc/crystal-facet-uml_documentation.xml --output=./crystal-facet-uml_documentation.pdf

html: ../../user_doc/doc/*.xml ../../user_doc/doc/2_feature_gallery_export/*.png ../../user_doc/doc/*.png
	xmlto --stringparam html.stylesheet=html.css -o ./html/ xhtml ${SOURCE}/doc/crystal-facet-uml_documentation.xml &&\
	echo relocate image files &&\
	cat ${SOURCE}/doc/*.xml | grep -e 'fileref.*png' | sed -e 's/^[^"]*"\([^"]*\)".*/..\/..\/user_doc\/doc\/\1/' | xargs cp --target-directory=./html &&\
	cp ${SOURCE}/doc/html.css ./html &&\
	find ./html -name '*.html' | xargs sed -i -e 's/\.\.\/\.\.\/gui\/source\/resources\///g' &&\
	find ./html -name '*.html' | xargs sed -i -e 's/2_feature_gallery_export\///g'

# xmlto chosen:
# daps exists only on opensuse, not on ubuntu
# pandoc is not fit with xinclude and drops the images (at least when i tried to use it in 2018)

MAN_STYLESHEET_ROOT=`find /usr/share/xml/docbook/stylesheet -name manpages`
#MAN_STYLESHEET_0="/usr/share/xml/docbook/stylesheet/nwalsh/1.78.1/manpages/docbook.xsl"
#MAN_STYLESHEET_1="/usr/share/xml/docbook/stylesheet/suse/manpages/docbook.xsl"
#MAN_STYLESHEET_2="/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl"
MANPAGE_FILE="crystal-facet-uml.1"

crystal-facet-uml.1.gz: ../../user_doc/doc/manpage.xml ../../user_doc/doc/1_non_tech_intro_para.xml
	rm -f ${MANPAGE_FILE}.gz ${MAPGAPE_FILE}i &&\
	if [ -e "${MAN_STYLESHEET_ROOT}/docbook.xsl" ] ; then\
	  echo "using ${MAN_STYLESHEET_ROOT}/docbook.xsl ...\n" &&\
	  xsltproc --nonet --param man.charmap.use.subset "0" --xinclude "${MAN_STYLESHEET_ROOT}/docbook.xsl" ${SOURCE}/doc/manpage.xml &&\
	  gzip --quiet ${MANPAGE_FILE} ;\
	else \
	  echo "ERROR: find an appropriate xsl file for the manapge at /usr/share/xml/docbook/stylesheet" ;\
	fi &&\
	echo "to view the output, gunzip --keep ${MANPAGE_FILE}.gz && man --local-file ${MANPAGE_FILE}"

.PHONY: info
info:
	@printf "== call \\e[33;1m make install \\e[0m to update the files in folder ../../user_doc ==\n"

.PHONY: clean
clean:
	rm -f crystal-facet-uml_documentation.pdf &&\
	rm -fr html &&\
	rm -f ${MANPAGE_FILE}.gz

.PHONY: install
install: crystal-facet-uml_documentation.pdf crystal-facet-uml.1.gz
	cp crystal-facet-uml_documentation.pdf ../../user_doc/ &&\
	cp ${MANPAGE_FILE}.gz ../../user_doc/

=== build/win/CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
                        ../../data/source/storage/*.c
                        ../../data/source/set/*.c
                        ../../utf8stringbuf/source/util/string/*.c
+                       ../../universal/source/*.c
                        ../../universal/source/stream/*.c
                        ../../pencil/source/*.c
                        ../../pencil/source/util/geometry/*.c
@@ -60,13 +61,16 @@
                        ../../io/source/json/*.c
                        ../../io/source/xml/*.c
                        ../../io/source/txt/*.c
+                       ../../io/source/xhtml/*.c
                        ../../io/source/xmi/*.c
                        ../../io/source/md/*.c
                        ${SQLITE_BASE}/sqlite3.c)
 FILE(GLOB appSource    ../../main/source/*.c)
 FILE(GLOB utestSource  ../../main/test/*.c
                        ../../data/test/unit/*.c
+                       ../../data/test/integration/*.c
                        ../../ctrl/test/unit/*.c
+                       ../../ctrl/test/integration/*.c
                        ../../gui/test/unit/*.c
                        ../../io/test/unit/*.c
                        ../../io/test/integration/*.c

=== debian/changelog ===
crystal-facet-uml (1.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 22:21:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  libgtk-3-dev,
  libsqlite3-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://andreaswarnke.de/crystal-facet-uml/html/index.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/crystal-facet-uml-$1.tar.gz/ \
https://github.com/awarnke/crystal-facet-uml/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## crystal-facet-uml 1.35.0

=== debian/changelog ===
crystal-facet-uml (1.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 22:22:02 +0100

## crystal-facet-uml 1.36.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,22 +29,27 @@
 INCLUDE_DIRECTORIES(${SQLITE3_INCLUDE_DIRS})
 #MESSAGE("SQLITE3: ${SQLITE3_INCLUDE_DIRS}")
 
-#gtk3 dependencies
-
+#gtk dependencies
 PKG_SEARCH_MODULE(GLIB2 REQUIRED glib-2.0)
 INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
 #MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")
 
-PKG_SEARCH_MODULE(GTK3 REQUIRED gtk+-3.0)
-INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
-#MESSAGE("GTK3:    ${GTK3_INCLUDE_DIRS}")
-#MESSAGE("GTK3:    ${GTK3_FOUND}")
-#MESSAGE("GTK3:    ${GTK3_LIBRARIES}")
-#MESSAGE("GTK3:    ${GTK3_LIBRARY_DIRS}")
-#MESSAGE("GTK3:    ${GTK3_LDFLAGS}")
-#MESSAGE("GTK3:    ${GTK3_LDFLAGS_OTHER}")
-#MESSAGE("GTK3:    ${GTK3_CFLAGS}")
-#MESSAGE("GTK3:    ${GTK3_CFLAGS_OTHER}")
+PKG_SEARCH_MODULE(GTK REQUIRED gtk+-3.0)
+#PKG_SEARCH_MODULE(GTK REQUIRED gtk4)
+INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
+MESSAGE("GTK:    ${GTK_INCLUDE_DIRS}")
+MESSAGE("GTK:    ${GTK_FOUND}")
+MESSAGE("GTK:    ${GTK_LIBRARIES}")
+MESSAGE("GTK:    ${GTK_LIBRARY_DIRS}")
+MESSAGE("GTK:    ${GTK_LDFLAGS}")
+MESSAGE("GTK:    ${GTK_LDFLAGS_OTHER}")
+MESSAGE("GTK:    ${GTK_CFLAGS}")
+MESSAGE("GTK:    ${GTK_CFLAGS_OTHER}")
+string(REPLACE "-mfpmath=sse;" "" GTK_CFLAGS_OTHER "${GTK_CFLAGS_OTHER}")
+string(REPLACE "-msse;" "" GTK_CFLAGS_OTHER "${GTK_CFLAGS_OTHER}")
+string(REPLACE "-msse2;" "" GTK_CFLAGS_OTHER "${GTK_CFLAGS_OTHER}")
+string(REPLACE "-mms-bitfields;" "" GTK_CFLAGS_OTHER "${GTK_CFLAGS_OTHER}")
+MESSAGE("GTK:    ${GTK_CFLAGS_OTHER}")
 
 PKG_SEARCH_MODULE(PANGOCAIRO REQUIRED pangocairo)
 INCLUDE_DIRECTORIES(${PANGOCAIRO_INCLUDE_DIRS})
@@ -97,13 +102,13 @@
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Common Settings ==== ==== ==== ==== ==== ==== ==== ====
 
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK_CFLAGS_OTHER}" )
 # Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.
 
 # ==== ==== ==== ==== ==== ==== ==== ==== EXE Target Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 ADD_EXECUTABLE(crystal-facet-uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
-TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== test Target Settings ==== ==== ==== ==== ==== ==== ==== ====
@@ -117,7 +122,7 @@
 TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC pencil/test)
 TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC universal/test)
 TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC utf8stringbuf/test)
-TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${GTK_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====
@@ -143,8 +148,24 @@
         TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC pencil/test)
         TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC universal/test)
         TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC utf8stringbuf/test)
-        TARGET_LINK_LIBRARIES(gcov_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+        TARGET_LINK_LIBRARIES(gcov_crystal-facet-uml ${GTK_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
         SET_TARGET_PROPERTIES(gcov_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
         SET_TARGET_PROPERTIES(gcov_crystal-facet-uml PROPERTIES EXCLUDE_FROM_ALL TRUE)
     endif(CMAKE_COMPILER_IS_GNUCC)
 endif(CFU_ADD_GCOV_TARGET)
+
+
+# Copyright 2018-2022 Andreas Warnke
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+

=== build/win/CMakeLists.txt ===
PROJECT(crystal-facet-uml LANGUAGES C)
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
SET(CMAKE_VERBOSE_MAKEFILE TRUE)

# ==== ==== ==== ==== ==== ==== ==== ==== Build Environment Settings ==== ==== ==== ==== ==== ==== ==== ====

INCLUDE_DIRECTORIES(../../gui/include)
INCLUDE_DIRECTORIES(../../main/include)
INCLUDE_DIRECTORIES(../../tslog/include)
INCLUDE_DIRECTORIES(../../trace/include)
INCLUDE_DIRECTORIES(../../ctrl/include)
INCLUDE_DIRECTORIES(../../data/include)
INCLUDE_DIRECTORIES(../../utf8stringbuf/include)
INCLUDE_DIRECTORIES(../../pencil/include)
INCLUDE_DIRECTORIES(../../io/include)
INCLUDE_DIRECTORIES(../../universal/include)

SET(THIRD_PARTY_ROOT "${CMAKE_CURRENT_SOURCE_DIR}/root")
SET(SQLITE_BASE "${CMAKE_CURRENT_SOURCE_DIR}/root//home/sqlite3")
MESSAGE("THIRD_PARTY_ROOT: ${THIRD_PARTY_ROOT}")

set(ENV{PKG_CONFIG_PATH} "")
set(ENV{PKG_CONFIG_LIBDIR} "${THIRD_PARTY_ROOT}/usr/local/lib/pkgconfig:${THIRD_PARTY_ROOT}/usr/local/lib64/pkgconfig")
set(ENV{PKG_CONFIG_SYSROOT_DIR} "${THIRD_PARTY_ROOT}")
set(PKG_CONFIG_EXECUTABLE "/usr/bin/x86_64-w64-mingw32-pkg-config")
#include(FindPkgConfig)
MESSAGE("ENV{PKG_CONFIG_PATH}:        $ENV{PKG_CONFIG_PATH}")
MESSAGE("ENV{PKG_CONFIG_LIBDIR}:      $ENV{PKG_CONFIG_LIBDIR}")
MESSAGE("ENV{PKG_CONFIG_SYSROOT_DIR}: $ENV{PKG_CONFIG_SYSROOT_DIR}")

INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/cairo")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/gtk-4.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/pango-1.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/harfbuzz")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/gdk-pixbuf-2.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/libxml2")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/libxml2/libxml")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/xkbcommon")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/gio-win32-2.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/graphene-1.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/libcroco-0.6")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/glib-2.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/atk-1.0")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/epoxy")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/fontconfig")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/libpng16")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/fribidi")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/pixman-1")
INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/freetype2")
#INCLUDE_DIRECTORIES("${THIRD_PARTY_ROOT}/usr/local/include/textstyle")

INCLUDE_DIRECTORIES("${SQLITE_BASE}")

FILE(GLOB commonSource ../../gui/source/*.c
                       ../../gui/source/sketch_area/*.c
                       ../../trace/source/*.c
                       ../../ctrl/source/*.c
                       ../../data/source/*.c
                       ../../data/source/storage/*.c
                       ../../data/source/set/*.c
                       ../../utf8stringbuf/source/util/string/*.c
                       ../../universal/source/*.c
                       ../../universal/source/stream/*.c
                       ../../pencil/source/*.c
                       ../../pencil/source/util/geometry/*.c
                       ../../pencil/source/draw/*.c
                       ../../io/source/*.c
                       ../../io/source/image/*.c
                       ../../io/source/json/*.c
                       ../../io/source/xml/*.c
                       ../../io/source/txt/*.c
                       ../../io/source/xhtml/*.c
                       ../../io/source/xmi/*.c
                       ../../io/source/md/*.c
                       ${SQLITE_BASE}/sqlite3.c)
FILE(GLOB appSource    ../../main/source/*.c)
FILE(GLOB utestSource  ../../main/test/*.c
                       ../../data/test/unit/*.c
                       ../../data/test/integration/*.c
                       ../../ctrl/test/unit/*.c
                       ../../ctrl/test/integration/*.c
                       ../../gui/test/unit/*.c
                       ../../io/test/unit/*.c
                       ../../io/test/integration/*.c
                       ../../pencil/test/unit/*.c
                       ../../pencil/test/integration/*.c
                       ../../universal/test/unit/*.c
                       ../../utf8stringbuf/test/unit/*.c)

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs atk
                OUTPUT_VARIABLE ATK_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( ATK_LIB atk-1.0 "${THIRD_PARTY_ROOT}/usr/local/")
MESSAGE("atk found at ${ATK_LIB}")
#pkg_search_module(ATK_LIB REQUIRED atk)
#MESSAGE("atk found at ${ATK_LIB_LIBRARIES} / ${ATK_LIB_INCLUDE_DIRS}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs cairo
                OUTPUT_VARIABLE CAIRO_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( CAIRO_LIB cairo "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("atk found at ${CAIRO_LIB}")
#pkg_search_module(CAIRO_LIB REQUIRED cairo)
#MESSAGE("cairo found at ${CAIRO_LIB_LIBRARIES} / ${CAIRO_LIB_INCLUDE_DIRS}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs fontconfig
                OUTPUT_VARIABLE FONTCNF_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( FONTCNF_LIB fontconfig "${THIRD_PARTY_ROOT}/usr/local/bin/" )
#FIND_LIBRARY( FONTCNF_LIB NAMES "libfontconfig-1.dll" PATHS "${THIRD_PARTY_ROOT}/usr/local/bin" NO_DEFAULT_PATH)
MESSAGE("fontconfig found at ${FONTCNF_LIB}")

set(GAIL_LIB "")
#FIND_LIBRARY( GAIL_LIB gailutil "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gailutil found at ${GAIL_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs gdk-pixbuf-2.0
                OUTPUT_VARIABLE GDKPIX_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GDKPIX_LIB gdk_pixbuf-2.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gdk_pixbuf found at ${GDKPIX_LIB}")

set(GDKWIN_LIB "")
#FIND_LIBRARY( GDKWIN_LIB gdk-win32-3.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gdk-win32 found at ${GDKWIN_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs gio-2.0
                OUTPUT_VARIABLE GIO_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GIO_LIB gio-2.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gio-2.0 found at ${GIO_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs glib-2.0
                OUTPUT_VARIABLE GLIB_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GLIB_LIB glib-2.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("glib-2.0 found at ${GLIB_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs gmodule-2.0
                OUTPUT_VARIABLE GMOD_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GMOD_LIB gmodule-2.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gmodule-2.0 found at ${GMOD_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs gobject-2.0
                OUTPUT_VARIABLE GOBJ_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GOBJ_LIB gobject-2.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gobject-2.0 found at ${GOBJ_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs gthread-2.0
                OUTPUT_VARIABLE GTHREAD_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GTHREAD_LIB gthread-2.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gthread-2.0 found at ${GTHREAD_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs gtk4
                OUTPUT_VARIABLE GTK_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( GTK_LIB gtk4 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("gtk4 found at ${GTK_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs pango
                OUTPUT_VARIABLE PANGO_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( PANGO_LIB pango-1.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("pango found at ${PANGO_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs pangocairo
                OUTPUT_VARIABLE PANGOCAIRO_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( PANGOCAIRO_LIB pangocairo-1.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("pangocairo found at ${PANGOCAIRO_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs pangoft2
                OUTPUT_VARIABLE PANGOFT_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( PANGOFT_LIB pangoft2-1.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("pangoft2 found at ${PANGOFT_LIB}")

EXECUTE_PROCESS(COMMAND "${PKG_CONFIG_EXECUTABLE}" --libs pangowin32
                OUTPUT_VARIABLE PANGOWIN_LIB OUTPUT_STRIP_TRAILING_WHITESPACE)
#FIND_LIBRARY( PANGOWIN_LIB pangowin32-1.0 "${THIRD_PARTY_ROOT}/usr/local/" )
MESSAGE("pangowin32 found at ${PANGOWIN_LIB}")

# ==== ==== ==== ==== ==== ==== ==== ==== Check if CMAKE_BUILD_TYPE is set ==== ==== ==== ==== ==== ==== ==== ====

IF(NOT CMAKE_BUILD_TYPE)
  MESSAGE( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
  SET(CMAKE_BUILD_TYPE "Release")
ENDIF(NOT CMAKE_BUILD_TYPE)
MESSAGE( "Note:                                          CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
MESSAGE( "Note:                                          CMAKE_CURRENT_SOURCE_DIR = ${CMAKE_CURRENT_SOURCE_DIR}" )
MESSAGE( "Note:                                          CMAKE_BUILD_DIR = ${CMAKE_BUILD_DIR}" )
MESSAGE( "Note:                                          THIRD_PARTY_ROOT = ${THIRD_PARTY_ROOT}" )
MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )

# ==== ==== ==== ==== ==== ==== ==== ==== Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.

# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal-facet-uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(crystal-facet-uml ${commonSource} ${appSource})
TARGET_LINK_LIBRARIES(crystal-facet-uml ${ATK_LIB} ${CAIRO_LIB} ${FONTCNF_LIB} ${GAIL_LIB} ${GDKPIX_LIB} ${GDKWIN_LIB} ${GIO_LIB} ${GLIB_LIB} ${GMOD_LIB} ${GOBJ_LIB} ${GTHREAD_LIB} ${GTK_LIB} ${PANGO_LIB} ${PANGOCAIRO_LIB} ${PANGOFT_LIB} ${PANGOWIN_LIB} )
SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)

# ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====

INSTALL(TARGETS crystal-facet-uml DESTINATION "${THIRD_PARTY_ROOT}/usr/local/bin/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../installation_win/crystal-facet-uml.bat" DESTINATION "${THIRD_PARTY_ROOT}/usr/local/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../installation_win/crystal-facet-uml_readme.txt" DESTINATION "${THIRD_PARTY_ROOT}/usr/local/")

# ==== ==== ==== ==== ==== ==== ==== ==== test Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(test_crystal-facet-uml ${commonSource} ${utestSource})
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../test_fw/include)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../data/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../ctrl/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../gui/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../io/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../pencil/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../universal/test)
TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ../../utf8stringbuf/test)

=== debian/changelog ===
crystal-facet-uml (1.36.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Apr 2022 20:00:58 +0200
